import { HashTableTy } from '../types';
export declare class HashTable<K, V> implements HashTableTy<K, V> {
    private table;
    private count;
    private readonly capacity;
    constructor(capacity?: number);
    private hash;
    insert(key: K, value: V): void;
    get(key: K): V | undefined;
    remove(key: K): boolean;
    private keysEqual;
    size(): number;
    empty(): boolean;
    clear(): void;
}
