import { MapTy } from '../types';
export declare class Map<K, V> implements MapTy<K, V> {
    private rbTree;
    constructor();
    insert(key: K, value: V): void;
    find(key: K): V | undefined;
    delete(key: K): void;
    clear(): void;
    size(): number;
    empty(): boolean;
}
